Package io.flutter.embedding.engine.systemchannels

## Enum TextInputChannel.TextCapitalization

- java.lang.Object
- - java.lang.Enum<TextInputChannel.TextCapitalization>
  - - io.flutter.embedding.engine.systemchannels.TextInputChannel.TextCapitalization

- All Implemented Interfaces:
    `Serializable`, `Comparable<TextInputChannel.TextCapitalization>`
  Enclosing class:
    TextInputChannel

      public static enum TextInputChannel.TextCapitalization
      extends Enum<TextInputChannel.TextCapitalization>

  Text capitalization schemes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CHARACTERS` |
    `NONE` |
    `SENTENCES` |
    `WORDS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TextInputChannel.TextCapitalization` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TextInputChannel.TextCapitalization[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHARACTERS

          public static final TextInputChannel.TextCapitalization CHARACTERS

    - #### WORDS

          public static final TextInputChannel.TextCapitalization WORDS

    - #### SENTENCES

          public static final TextInputChannel.TextCapitalization SENTENCES

    - #### NONE

          public static final TextInputChannel.TextCapitalization NONE

  - ### Method Detail

    - #### values

          public static TextInputChannel.TextCapitalization[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextInputChannel.TextCapitalization c : TextInputChannel.TextCapitalization.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextInputChannel.TextCapitalization valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null